com.ihr.xbrl.mapper.util

## Class LoadMapperInThread

- java.lang.Object
- - com.ihr.xbrl.mapper.util.LoadMapperInThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class LoadMapperInThread
      extends java.lang.Object
      implements java.lang.Runnable

  Load a DTS in a separate thread. This class is responsible of loading and validating a DTS against the XBRL 2.1 specification and the XDT specification. Other validation processors can use the DTS returned by this object for further validation process. Separate licenses are required for XBRL 2.1 validation and XDT 1.0 validation. This object implements Runnable so it can be called in a new Thread. Configuration is established during object creation.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DTS_NAME_PROPERTY` This is a very common property used by calling applications that requires to set a name to the DTS after loading.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadMapperInThread(java.net.URI configFile, DTSLoadingBarInterface bar, HasReceiveMappingLoadingEvents sendEventsTo, java.util.Properties dtsProperties)` Creates a new object that will load a Mapping Engine and configuration file in a thread.
    `LoadMapperInThread(java.net.URI configFile, int initialMappers, DTSLoadingBarInterface bar, HasReceiveMappingLoadingEvents sendEventsTo, boolean bCreateMaster, java.util.Properties dtsProperties)` Creates a new object that will load a Mapping Engine and configuration file in a thread.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTSLoadingBarInterface` | `getBar()` Gets the bar.
    `java.lang.Exception` | `getException()` Access to the validation report.
    `MapEngine` | `getMapEngine()` Returns the MapEngine loaded or null in case of errors.
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DTS_NAME_PROPERTY

          public static final java.lang.String DTS_NAME_PROPERTY

      This is a very common property used by calling applications that requires to set a name to the DTS after loading.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LoadMapperInThread

          public LoadMapperInThread(java.net.URI configFile,
                            int initialMappers,
                            DTSLoadingBarInterface bar,
                            HasReceiveMappingLoadingEvents sendEventsTo,
                            boolean bCreateMaster,
                            java.util.Properties dtsProperties)
                             throws com.rs.lic.LicenseVerificationException

      Creates a new object that will load a Mapping Engine and configuration file in a thread.
      Parameters:
        `configFile` - the config file
        `initialMappers` - the initial mappers
        `bar` - the bar
        `sendEventsTo` - the send events to
        `bCreateMaster` - the b create master
        `dtsProperties` - the dts properties
      Throws:
        `com.rs.lic.LicenseVerificationException` - In case the license does not allows the user to load the DTS

    - #### LoadMapperInThread

          public LoadMapperInThread(java.net.URI configFile,
                            DTSLoadingBarInterface bar,
                            HasReceiveMappingLoadingEvents sendEventsTo,
                            java.util.Properties dtsProperties)
                             throws com.rs.lic.LicenseVerificationException

      Creates a new object that will load a Mapping Engine and configuration file in a thread.
      Parameters:
        `configFile` - the config file
        `bar` - the bar
        `sendEventsTo` - the send events to
        `dtsProperties` - the dts properties
      Throws:
        `com.rs.lic.LicenseVerificationException` - In case the license does not allows the user to load the DTS

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### getBar

          public DTSLoadingBarInterface getBar()

      Gets the bar.
      Returns:
        the bar

    - #### getMapEngine

          public MapEngine getMapEngine()

      Returns the MapEngine loaded or null in case of errors.
      Returns:
        MapEngine

    - #### getException

          public java.lang.Exception getException()

      Access to the validation report.
      Returns:
        XBRLValidationReport